﻿using System;
using System.Xml.Linq;

namespace Buzzard.Xmpp.Stream.Elements
{
    public abstract class DatagramElementTestBase : XmppStreamElementTestBase
    {
        protected readonly JID FromJid = "from@stanza_test.com";
        protected readonly JID ToJid = "to@stanza_test.com";
        protected readonly object Id = Guid.NewGuid();

        protected DatagramElementTestBase(string name, string namespaceUri, string namespaceName) : base(name, namespaceUri, namespaceName)
        { }

        protected XElement CreateDatagramXElement(JID from, JID to, object id)
        {
            return CreateDatagramXElement(Name, from, to, id);
        }

        protected XElement CreateDatagramXElement(JID from, JID to, object id, string xmlLang)
        {
            XElement element = CreateDatagramXElement(from, to, id);
            if (!string.IsNullOrEmpty(xmlLang)) element.SetAttributeValue(XNamespace.Xml + "lang", xmlLang);
            return element;
        }

        protected XElement CreateDatagramXElement(string name, JID from, JID to, object id)
        {
            return XmlUtils.CreateDatagramElement(name, from, to, id);
        }

        protected XElement CreateDatagramXElement(string name, string namespaceUri, string namespaceName,  JID from, JID to, object id)
        {
            return XmlUtils.CreateDatagramElement(name, namespaceUri, namespaceName, from, to, id);
        }
    }
}
